Zum Inhalt springen

Die Anmeldung eines Gasts bestätigen (Link aus der E-Mail)

POST
/v1/registrations/confirm
curl --request POST \
--url https://api.vimine.network/v1/registrations/confirm \
--header 'Content-Type: application/json' \
--data '{ "token": "example" }'

Löst das Token des Bestätigungslinks ein: Eine kostenlose Art wird bestätigt (die Antwort trägt das QR-token), eine kostenpflichtige bleibt für die Reservierungsfrist der Veranstaltung reserviert, und die Antwort trägt payment_instructions. Idempotent bei Wiederholung.

Medientypapplication/json
object
token
erforderlich
string
Beispielerzeugt
{
"token": "example"
}

Die Anmeldung

Medientypapplication/json
object
id
string Format: uuid
status
string
Erlaubte Werte: reserved confirmed cancelled refunded
event
object
id
string
slug
string
title
string
starts_at
string Format: date-time
ends_at
string Format: date-time
nullable
timezone
string
status
string
location
string
nullable
registration_type
object
uid
string
cod
string
name
string
amount
number
currency
string
quantity
integer
reserved_until
string Format: date-time
nullable
checked_in_at
string Format: date-time
nullable
cancelled_at
string Format: date-time
nullable
cancel_reason
string
nullable
can_cancel
boolean
payment
object
status
string
amount
number
currency
string
method
string
paid_at
string Format: date-time
payment_instructions

Wie der Beitrag zu zahlen ist, solange reserviert

string
nullable
note

Freier Text, den die Person geschrieben hat. Für Clients von Drittanbietern zurückgehalten (null), wenn der Verein erklärt hat, dass er besondere Kategorien von Daten verarbeitet

string
nullable
created_at
string Format: date-time
token

Der QR-Inhalt der Anmeldung (vmt_…), nur bei bestätigten Anmeldungen

string
nullable
Beispiel
{
"status": "reserved"
}

Der Link ist ungültig oder abgelaufen (invalid_token)

Nicht gefunden

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Die Anmeldung ist nicht mehr aktiv, oder die Veranstaltung wurde abgesagt

Ratenlimit überschritten

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Interner Fehler

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}